SENP (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena

## Class SENP

- java.lang.Object
- - siena.SENP

-     public class SENP
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `ADV`
    `static byte` | `BYE`
    `static int` | `CLIENT_PORT`
    `static byte` | `CNF`
    `static byte[]` | `Cost`
    `static int` | `DEFAULT_PORT`
    `static int` | `DefaultTtl`
    `static byte` | `DRP`
    `static byte` | `DV`
    `static byte[]` | `Handler`
    `static byte` | `HLO`
    `static byte[]` | `Id`
    `static byte[]` | `KwdBSet`
    `static byte[]` | `KwdDistanceVector`
    `static byte[]` | `KwdDVEntry`
    `static byte[]` | `KwdEquals`
    `static byte[]` | `KwdEvent`
    `static byte[]` | `KwdEvents`
    `static byte[]` | `KwdFalse`
    `static byte[]` | `KwdFilter`
    `static byte[]` | `KwdLParen`
    `static byte[]` | `KwdNull`
    `static byte[]` | `KwdPattern`
    `static byte[]` | `KwdPred`
    `static byte[]` | `KwdRecList`
    `static byte[]` | `KwdRParen`
    `static byte[]` | `KwdSenp`
    `static byte[]` | `KwdSeparator`
    `static byte[]` | `KwdTrue`
    `static byte` | `MAP`
    `static int` | `MaxPacketLen`
    `static byte[]` | `Mcc`
    `static byte[]` | `Method`
    `static byte[][]` | `Methods`
    `static byte` | `NOP`
    `static byte` | `OFF`
    `static byte[][]` | `operators`
    `static byte` | `PAD`
    `static byte` | `ProtocolVersion`
    `static byte` | `PUB`
    `static byte` | `RES`
    `static int` | `SERVER_PORT`
    `static byte` | `SUB`
    `static byte` | `SUS`
    `static byte[]` | `To`
    `static byte[]` | `Ttl`
    `static byte` | `UDV`
    `static byte` | `UNA`
    `static byte` | `UNS`
    `static byte[]` | `Version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SENP()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `match(byte[] x, byte[] y)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ProtocolVersion

          public static final byte ProtocolVersion

      See Also:
        Constant Field Values

    - #### Version

          public static final byte[] Version

    - #### To

          public static final byte[] To

    - #### Method

          public static final byte[] Method

    - #### Id

          public static final byte[] Id

    - #### Handler

          public static final byte[] Handler

    - #### Cost

          public static final byte[] Cost

    - #### Ttl

          public static final byte[] Ttl

    - #### Mcc

          public static final byte[] Mcc

    - #### DefaultTtl

          public static final int DefaultTtl

      See Also:
        Constant Field Values

    - #### MaxPacketLen

          public static final int MaxPacketLen

      See Also:
        Constant Field Values

    - #### NOP

          public static final byte NOP

      See Also:
        Constant Field Values

    - #### PUB

          public static final byte PUB

      See Also:
        Constant Field Values

    - #### SUB

          public static final byte SUB

      See Also:
        Constant Field Values

    - #### UNS

          public static final byte UNS

      See Also:
        Constant Field Values

    - #### ADV

          public static final byte ADV

      See Also:
        Constant Field Values

    - #### UNA

          public static final byte UNA

      See Also:
        Constant Field Values

    - #### HLO

          public static final byte HLO

      See Also:
        Constant Field Values

    - #### BYE

          public static final byte BYE

      See Also:
        Constant Field Values

    - #### SUS

          public static final byte SUS

      See Also:
        Constant Field Values

    - #### RES

          public static final byte RES

      See Also:
        Constant Field Values

    - #### MAP

          public static final byte MAP

      See Also:
        Constant Field Values

    - #### CNF

          public static final byte CNF

      See Also:
        Constant Field Values

    - #### OFF

          public static final byte OFF

      See Also:
        Constant Field Values

    - #### UDV

          public static final byte UDV

      See Also:
        Constant Field Values

    - #### DV

          public static final byte DV

      See Also:
        Constant Field Values

    - #### DRP

          public static final byte DRP

      See Also:
        Constant Field Values

    - #### PAD

          public static final byte PAD

      See Also:
        Constant Field Values

    - #### Methods

          public static final byte[][] Methods

    - #### operators

          public static final byte[][] operators

    - #### CLIENT_PORT

          public static final int CLIENT_PORT

      See Also:
        Constant Field Values

    - #### SERVER_PORT

          public static final int SERVER_PORT

      See Also:
        Constant Field Values

    - #### DEFAULT_PORT

          public static final int DEFAULT_PORT

      See Also:
        Constant Field Values

    - #### KwdSeparator

          public static final byte[] KwdSeparator

    - #### KwdSenp

          public static final byte[] KwdSenp

    - #### KwdEvent

          public static final byte[] KwdEvent

    - #### KwdEvents

          public static final byte[] KwdEvents

    - #### KwdFilter

          public static final byte[] KwdFilter

    - #### KwdPattern

          public static final byte[] KwdPattern

    - #### KwdDistanceVector

          public static final byte[] KwdDistanceVector

    - #### KwdDVEntry

          public static final byte[] KwdDVEntry

    - #### KwdPred

          public static final byte[] KwdPred

    - #### KwdBSet

          public static final byte[] KwdBSet

    - #### KwdLParen

          public static final byte[] KwdLParen

    - #### KwdRParen

          public static final byte[] KwdRParen

    - #### KwdEquals

          public static final byte[] KwdEquals

    - #### KwdTrue

          public static final byte[] KwdTrue

    - #### KwdFalse

          public static final byte[] KwdFalse

    - #### KwdNull

          public static final byte[] KwdNull

    - #### KwdRecList

          public static final byte[] KwdRecList

  - ### Constructor Detail

    - #### SENP

          public SENP()

  - ### Method Detail

    - #### match

          public static boolean match(byte[] x,
                      byte[] y)

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga